This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434526 - stardict failed massrebuild attempt for GCC 4.3
stardict failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: stardict (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hu Zheng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 11:33 EST by Jesse Keating
Modified: 2013-01-09 22:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 01:48:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gcc43 patch I used (11.80 KB, patch)
2008-02-27 04:42 EST, Mamoru TASAKA
no flags Details | Diff
proposal spec file (5.97 KB, text/plain)
2008-02-27 04:46 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Jesse Keating 2008-02-22 11:33:29 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=448036
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Mamoru TASAKA 2008-02-27 04:42:46 EST
Created attachment 296038 [details]
gcc43 patch I used
Comment 2 Mamoru TASAKA 2008-02-27 04:46:10 EST
Created attachment 296039 [details]
proposal spec file

The attached spec file passes gcc43 build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=472596

* The internal libsigc++ header files does not work for g++43
  (ref. bug 431017). And  actually these internal libsigc++ header
  files are not needed.
* Calling autotools don't seem to be needed.
Comment 3 Hu Zheng 2008-03-03 01:48:32 EST
Thank you very much! It is fixed now.

libsigc++ is needed by win32 build only, but the Linux one can delete.

Note You need to log in before you can comment on or make changes to this bug.